# UuidV5 class

## Constructors

UuidV5({GlobalOptions? goptions})
  const

## Properties

goptions → GlobalOptions?
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

generate(String? namespace, String? name, {V5Options? options}) → String
  v5() Generates a namspace & name-based version 5 UUID
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

NAMESPACE_DNS → const String
NAMESPACE_NIL → const String
NAMESPACE_OID → const String
NAMESPACE_URL → const String
NAMESPACE_X500 → const String